aboutsummaryrefslogtreecommitdiff
path: root/ci/install-component.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ci/install-component.sh')
-rw-r--r--ci/install-component.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/ci/install-component.sh b/ci/install-component.sh
index 37ccdfa..9aaa5ce 100644
--- a/ci/install-component.sh
+++ b/ci/install-component.sh
@@ -4,7 +4,7 @@ set -euo pipefail
component="${1}"
-if [[ "${component}" != "rustdoc" ]] && ! rustup component add "${component}" 2>/dev/null; then
+if ! rustup component add "${component}" 2>/dev/null; then
# If the component is unavailable on the latest nightly,
# use the latest toolchain with the component available.
# Refs: https://github.com/rust-lang/rustup-components-history#the-web-part
@@ -17,6 +17,6 @@ if [[ "${component}" != "rustdoc" ]] && ! rustup component add "${component}" 2>
fi
case "${component}" in
- rustfmt | rustdoc) "${component}" -V ;;
+ rustfmt) "${component}" -V ;;
*) cargo "${component}" -V ;;
esac